#!/bin/bash -e

OS="$1"
FILES_DIR="container_setup"
DOCKER_FILE_DIR="$OS"
IMAGE_NAME="$OS"
IMAGE_TAG="latest"
IMAGE_ARCHIVE_FILE="$OS.tar"
DESC_FILE="$OS.desc"

source scripts/util.sh

(
    cd "$FILES_DIR"/"$DOCKER_FILE_DIR"
    if ! podman image inspect "localhost/$IMAGE_NAME":"$IMAGE_TAG" > /dev/null; then
        podman build -t "localhost/$IMAGE_NAME":"$IMAGE_TAG" .
    else
        if prompt_yesno n "%s already exists, rebuild? [y/N]" "$IMAGE_NAME"; then
            podman rmi "localhost/$IMAGE_NAME":"$IMAGE_TAG"
            podman build -t "localhost/$IMAGE_NAME":"$IMAGE_TAG" .
        fi
    fi

    cd ..
    rm -f "$IMAGE_ARCHIVE_FILE"
    podman save -o "$IMAGE_ARCHIVE_FILE" "localhost/$IMAGE_NAME":"$IMAGE_TAG"

    mkswu --update-version "$DESC_FILE"
    mkswu "$DESC_FILE"
)
